Doomsday Engine - Bug #632

jHexen: Savegame Crash with jXRP
2009-02-28 00:12 - xxmiltenxx
Priority: Normal % Done: 100%
Assignee: danij

Category:

Target version: 1.9.0-betab

Description

After using the addon "jXRP" for Hexen | couldn't load a savegame (if | disable that addon | can load that savegame). The game
chrashes with the following error message:

P_MaplnitPolyobjs: Warning: Multiple polyobjs in a single subsector
(ssec 709, sector 314). Previous polyobj overridden.
P_MaplnitPolyobjs: Warning: Multiple polyobjs in a single subsector
(ssec 708, sector 314). Previous polyobj overridden.
P_MaplnitPolyobjs: Warning: Multiple polyobjs in a single subsector
(ssec 464, sector 275). Previous polyobj overridden.
P_MaplnitPolyobjs: Warning: Multiple polyobjs in a single subsector
(ssec 358, sector 104). Previous polyobj overridden.
P_MaplnitPolyobjs: Warning: Multiple polyobjs in a single subsector
(ssec 357, sector 104). Previous polyobj overridden.
P_MaplnitPolyobjs: Warning: Multiple polyobjs in a single subsector
(ssec 367, sector 98). Previous polyobj overridden.

Segmentation Violation

Labels: jHexen

History

#1 - 2009-03-20 13:53 - danij

Please attach your savegame files to this tracker item so that we may debug the problem.
#2 - 2009-03-20 19:50 - xxmiltenxx
Hexen Savegames, Part 1

Attachments:

e http://sourceforge.net/p/deng/bugs/ discuss/thread/c14200dc/fe66/attachment/Hexen%20Savegame.parti.rar

#3 - 2009-03-20 19:50 - xxmiltenxx

I've uploaded the "hexndata" and "doomsday.out from "Doomsday\snowberry\runtime", but | had to split the file, because the size was over 256 kb,
it's packaged with WinRar.

I've tested it with the first savegame.
File Added: Hexen Savegame.part1.rar

#4 - 2009-03-20 19:50 - xxmiltenxx

Hexen Savegames, Part 2

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/c14200dc/3fca/attachment/Hexen%20Savegame.part2.rar

#5 - 2009-03-20 19:50 - xxmiltenxx

File Added: Hexen Savegame.part2.rar
#6 - 2009-03-28 03:32 - danij

This problem does not seem to be related to the save games, the problem seems to originate from the particle generator subsystem. | am able to
reproduce the problem but the point at which a sigsegv is thrown is not consistent. More investigation is needed.
If | disable particles ("rend-particle 0") before attempting to load the save game in slot 1, it works just fine.

#7 - 2009-03-28 08:44 - xxmiltenxx

| tested it again, with disabling several parts of the jXRP.

I've encountered, that if | disable "XCCP Decorations" it works. So | took a look into the "Decor-XCCP.pk3" and found out, that if | delete the
"Blue_Candle.ded" or "Brasstorch.ded" it works.

You said you were able to run it with disabling particles, so | looked into these DED's.

Under "Generator" in those DED's, the particles (number | think) are set to 333. So | first thougt something like an overflow of particles. But | just
changed it to 500 and it works suddenly.

But there's another thing. If | only use "XCCP Decorations" with those particles set to 333, it seems to work (had 1 crash, but 5 times it worked...)
Don't know it that'll help you.

#8 - 2009-03-29 21:54 - danij
Fixed in svn for 1.9.0-beta6.1
